Bug 525748 - Taskomatic changes for channel preferred checksum type.
Summary: Taskomatic changes for channel preferred checksum type.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Other
Version: RHN Stable
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Sebastian Skracic
QA Contact: Red Hat Network Quality Assurance
URL:
Whiteboard: US160
Depends On:
Blocks: 519193 rhn-sprint31
TreeView+ depends on / blocked
 
Reported: 2009-09-25 14:49 UTC by Sebastian Skracic
Modified: 2010-03-18 12:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-18 12:49:05 UTC


Attachments (Terms of Use)

Description Sebastian Skracic 2009-09-25 14:49:16 UTC
Since we have introduced preferredChecksum property for Channel domain
object, taskomatic should be updated so that repomd generation
reflects that property.

Comment 1 Sebastian Skracic 2009-09-25 14:54:03 UTC
Initial support, which covers RPM checksum selection based on the channel preference is submitted in 19e9648b9ce1f01af95b04c3abaddd3c43eb4337.

TODO: the metadata files themselves still use hardcoded sha1 checksum
method to compute their checksums.  The channel preference should apply
here as well.

Comment 2 Sebastian Skracic 2009-09-28 15:14:19 UTC
The rest of functionality implemented in 33f92350022b76a9ed4fc90e9be798cab8f21909.

Comment 3 Sebastian Skracic 2009-09-28 15:55:29 UTC
On DEV.

Comment 4 Stephen Herr 2009-10-05 20:23:16 UTC
fails_qa

So for testing dhughes and I were attempting to downloading dmidecode from rhel-i386-server-5.

We:
1) cleared the repomd
2) regenerated it
3) attempted to yum install dmidecode

This failed. Upon investigation it appears that:

1) The newly generated repomd files have the sha-256 sum for the file
2) The database appears to have sha1 set as the default for that channel
3) RHEL <= 5 yum clients will never understand anything other than md5, so either way it should have failed. 

It looks to me that there's two problems here:
1) It should be set to generate md5
2) sha256 should not be generated if the type is set to sha1

Comment 6 Sebastian Skracic 2009-10-13 13:28:53 UTC
With the recent work to distinguish between metadata and RPM preferred checksum methods, new attribute has been added to Channel domain object: preferredRpmChecksum.  This property is now being consulted to generate the per-package checksums in repo metadata files.

Comment 7 Sebastian Skracic 2009-10-13 13:30:53 UTC
e75e8272ff5719c2001059778f8e93d9a14c2998 is now available on webdev.

Comment 8 Denise Hughes 2010-02-02 22:00:54 UTC
Verified in dev on 10/13/09


Note You need to log in before you can comment on or make changes to this bug.